require "import"
require "info212"
require "cekjaringanhp"
require "berhenti"

function tunanetraHijrahOfficial()
    local intent_import = import "android.content.Intent"
    local locale_import = import "java.util.Locale"
    local recognizer_import = import "android.speech.SpeechRecognizer"
    local listener_import = import "android.speech.RecognitionListener"
    local recognizer_intent_import = import "android.speech.RecognizerIntent"

    if not cekStatusJaringanHP() then
        info212("Yah, gak ada koneksi HP. Coba lagi nanti.")
        return false
    end
    
    local ucapanDirimuTerdeteksi = false
    
    mesinPengenalanSuaraDirimu = recognizer_import.createSpeechRecognizer(this)
    dengarkanSuaraDirimu = listener_import{
        onRmsChanged = function(rmsdB)
        end,
        onError = function(error)
            info212("Lisanmu tidak terdeteksi, Coba lagi yaa.")
            matiinPengenalanSuaraHPDirimu()
        end,
        onResults = function(results)
            local dataUcapanDirimu = results.getParcelableArrayList(recognizer_import.RESULTS_RECOGNITION)
            if dataUcapanDirimu ~= nil and dataUcapanDirimu.size() > 0 then
                ucapanDirimuTerdeteksi = true
                local lisanDirimu = dataUcapanDirimu.get(0):lower()
                service.paste(lisanDirimu)
            end
            if not ucapanDirimuTerdeteksi then
                matiinPengenalanSuaraHPDirimu()
            end
        end
    }
    
    local intentPengenalanSuaraDirimu = intent_import(recognizer_intent_import.ACTION_RECOGNIZE_SPEECH)
    intentPengenalanSuaraDirimu.putExtra(recognizer_intent_import.EXTRA_LANGUAGE_MODEL, recognizer_intent_import.LANGUAGE_MODEL_FREE_FORM)
    intentPengenalanSuaraDirimu.putExtra(recognizer_intent_import.EXTRA_LANGUAGE, locale_import.getDefault())
    intentPengenalanSuaraDirimu.putExtra(recognizer_intent_import.EXTRA_CALLING_PACKAGE, this.getPackageName())
    
    mesinPengenalanSuaraDirimu.startListening(intentPengenalanSuaraDirimu)
    mesinPengenalanSuaraDirimu.setRecognitionListener(dengarkanSuaraDirimu)
    
    return true
end

function nazarMuhammadIndonesia()
    return "Nazar Muhammad Indonesia"
end

function nazarMuhammadNRSensei()
    return "Nazar Muhammad NR Sensei"
end

tunanetraHijrahOfficial()